﻿import { NgModule } from '@angular/core';

// 내장 모듈 등록
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

// 사용자 정의 모듈 등록
import { ExamplesRoutingModule } from './examples.routing.module';

// 사용자 정의 컴포넌트 등록
import { ExamplesComponent } from './examples.component';
import { SubUrlComponent } from './components/suburl.component';
import { StronglyTypedComponent } from './stonglytyped/stonglytyped.component';

@NgModule({
    // 모듈
    imports: [
        CommonModule, RouterModule, FormsModule, ReactiveFormsModule, HttpModule,
        ExamplesRoutingModule
    ],
    // 컴포넌트
    declarations: [
        ExamplesComponent, SubUrlComponent, StronglyTypedComponent
    ],
    // 데이터 서비스, 가드 서비스
    providers: []
})
export class ExamplesModule {

}
